### Hierarchy

- XmlComponent
  - TableCell

## Index

### Constructors

- constructor

### Accessors

- CellProperties
- IsDeleted

### Methods

- addChildElement
- addContent
- createParagraph
- delete
- prepForXml

## Constructors

### constructor

- new TableCell(): TableCell

- Overrides XmlComponent.constructor

  - Defined in file/table/table.ts:116

  #### Returns TableCell

## Accessors

### CellProperties

- get CellProperties(): TableCellProperties

- - Defined in file/table/table.ts:145

  #### Returns TableCellProperties

### IsDeleted

- get IsDeleted(): boolean

- Inherited from BaseXmlComponent.IsDeleted

  - Defined in file/xml-components/base.ts:13

  #### Returns boolean

## Methods

### addChildElement

- addChildElement(child: XmlComponent | string): XmlComponent

- Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:34

  #### Parameters

  - ##### child: XmlComponent | string

  #### Returns XmlComponent

### addContent

- addContent(content: Paragraph | Table): TableCell

- - Defined in file/table/table.ts:124

  #### Parameters

  - ##### content: Paragraph | Table

  #### Returns TableCell

### createParagraph

- createParagraph(text?: undefined | string): Paragraph

- - Defined in file/table/table.ts:139

  #### Parameters

  - ##### Optional text: undefined | string

  #### Returns Paragraph

### delete

- delete(): void

- Inherited from XmlComponent.delete

  - Defined in file/xml-components/xml-component.ts:40

  #### Returns void

### prepForXml

- prepForXml(): IXmlableObject

- Overrides XmlComponent.prepForXml

  - Defined in file/table/table.ts:129

  #### Returns IXmlableObject

Generated using TypeDoc